package com.qianhe.mapper;

import com.qianhe.domain.SjZdbfZsdwwtcj;

import java.util.List;

/**
 * 指导帮扶-帮扶组检查Mapper接口
 *
 * @author qianhe
 * @date 2024-07-23
 */
public interface SjZdbfbfzjcMapper
{
    /**
     * 查询指导帮扶-帮扶组检查
     *
     * @param id 指导帮扶-帮扶组检查主键
     * @return 指导帮扶-扶组检查帮
     */
    public SjZdbfZsdwwtcj selectSjZdbfZsdwwtcjById(Long id);

    /**
     * 查询指导帮扶-扶组检查帮列表
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-扶组检查帮
     * @return 指导帮扶-扶组检查帮集合
     */
    public List<SjZdbfZsdwwtcj> selectSjZdbfZsdwwtcjList(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    public List<SjZdbfZsdwwtcj> selectSjZdbfZsdwwtcjList_bfz(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 新增指导帮扶-扶组检查帮
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-扶组检查帮
     * @return 结果
     */
    public int insertSjZdbfZsdwwtcj(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 修改指导帮扶-扶组检查帮
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-扶组检查帮
     * @return 结果
     */
    public int updateSjZdbfZsdwwtcj(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 删除指导帮扶-扶组检查帮
     *
     * @param id 指导帮扶-扶组检查帮主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwwtcjById(Long id);

    /**
     * 批量删除指导帮扶-扶组检查帮
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwwtcjByIds(Long[] ids);

    int batchSave(List<SjZdbfZsdwwtcj> list);


}
